QwtCPointerValueData< T > Class Template Reference

Data class containing a pointer to memory of y coordinates. More...

`#include <qwt_point_data.h>`

Inheritance diagram for QwtCPointerValueData< T >:

## Public Member Functions

| QwtCPointerValueData (const T *y, size_t size)
virtual size_t | size () const override
virtual QPointF | sample (size_t index) const override
const T * | yData () const
Public Member Functions inherited from QwtPointSeriesData
| QwtPointSeriesData (const QVector< QPointF > &=QVector< QPointF >())
virtual QRectF | boundingRect () const override
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QPointF >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QPointF > &samples)
void | setSamples (const QVector< QPointF > &samples)
const QVector< QPointF > | samples () const
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members

Protected Attributes inherited from QwtArraySeriesData< QPointF >
QVector< QPointF > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< QPointF >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

### template<typename T>
class QwtCPointerValueData< T >

Data class containing a pointer to memory of y coordinates.

The memory contains the y coordinates, while the index is interpreted as x coordinate.

Definition at line 89 of file qwt_point_data.h.

## Constructor & Destructor Documentation

## QwtCPointerValueData()

template<typename T >

QwtCPointerValueData< T >::QwtCPointerValueData | ( | const T * | y,
|  | size_t | size
| ) |  |

Constructor

Parameters

  y | Array of y values
  size | Size of the x and y arrays

Warning
  The programmer must assure that the memory blocks referenced by the pointers remain valid during the lifetime of the QwtCPointerValueData object.

See also
  QwtPlotCurve::setData(), QwtPlotCurve::setRawSamples()

Definition at line 380 of file qwt_point_data.h.

## Member Function Documentation

## sample()

template<typename T >

QPointF QwtCPointerValueData< T >::sample | ( | size_t | index | ) | const

override virtual

Return the sample at position i

Parameters

  index | Index

Returns
  Sample at position i

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 400 of file qwt_point_data.h.

## size()

template<typename T >

size_t QwtCPointerValueData< T >::size

override virtual

Returns
  Size of the data set

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 388 of file qwt_point_data.h.

## yData()

template<typename T >

const T * QwtCPointerValueData< T >::yData

Returns
  Array of the y-values

Definition at line 407 of file qwt_point_data.h.